{% extends 'base.html.twig' %}

{% block title %}Edit QuoteGeneration{% endblock %}

{% block body %}
    <div class="card">
        <div class="card-header">
            <h1 class="card-title float-left">Modification du devis</h1>
            <p class="float-right m-0">
                <a class="btn btn-sm btn-info" href="{{ path('dashboard_quote_generation_index') }}">Revenir à la liste</a>
            </p>
            <div class="clearfix"></div>
        </div>
        <div class="card-body">
            {{ include('quote_generation/_form.html.twig', {'button_label': 'Update'}) }}
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    <script>
        jQuery(document).ready(function () {
            jQuery('.add-another-collection-widget').click(function (e) {
                e.preventDefault();

                let list = jQuery(jQuery(this).attr('data-list-selector'));
                let counter = list.data('widget-counter') || list.children().length;

                let newWidget = list.attr('data-prototype');
                newWidget = newWidget.replace(/__name__/g, counter);
                counter++;
                list.data('widget-counter', counter);

                let newElem = jQuery(list.attr('data-widget-tags')).html(newWidget);
                newElem.appendTo(list);

                $('.select2').select2();
                updateOnSelectChange();
            });

            let $wrapper = $('.js-items-wrapper');
            $wrapper.on('click', '.js-remove-item', function(e) {
                e.preventDefault();
                $(this).closest('.js-item-row').fadeOut().remove();
            });

            updateOnSelectChange();

            function updateOnSelectChange()
            {
                $('select').on('select2:select', function () {
                    let $select = $(this);
                    $.ajax({
                        url: '{{ path('dashboard_get_product_price') }}',
                        type: "post",
                        data: {id: $(this).val()}
                    }).done(function (jqxhr) {
                        let $parent = $select.parent().parent();
                        $('input', $parent).val(1);
                        $('.form-price', $parent).val(jqxhr);
                    })
                })
            }
        });
    </script>
{% endblock %}

{% block stylesheets %}
    <style>
        .select2-container {
            width: 100% !important;
        }
    </style>
{% endblock %}